import * as $dara from '@darabonba/typescript';
export declare class DescribeRouteTablesRequest extends $dara.Model {
    ownerAccount?: string;
    ownerId?: number;
    pageNumber?: number;
    pageSize?: number;
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    routeTableId?: string;
    routeTableName?: string;
    routerId?: string;
    routerType?: string;
    VRouterId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
